
SugarCRM - Bug # 205: Kayko Error when clicking on the SugarCRM tab
Subject: Kayko Error when clicking on the SugarCRM tab

Description: Using SugarCRM CE 6.5.12





Notice


Trying to get property of non-object 

(C:/inetpub/Kayako/__apps/sugarcrm/staff/class.View_SugarCRMInfo.php:174)


===================================================================================

==============================================





Warning


Invalid argument supplied for foreach() 

(C:/inetpub/Kayako/__apps/sugarcrm/staff/class.View_SugarCRMInfo.php:176)


===================================================================================

==============================================





ERROR WHEN TRYING TO RUN THE SCHEDULED TASK - GET ACCOUNTS:





Uncaught Exception


Invalid data provided in .\__apps\sugarcrm\cron\class.Controller_SugarCRMFetchAccountMinute.php:58


===================================================================================

==============================================





#0 [internal function]: Controller_SugarCRMFetchAccountMinute->SugarCRMFetchAccount()


#1 .\__swift\library\MVC\class.SWIFT_Controller.php(369): call_user_func_array(Array, Array)


#2 .\__swift\library\Cron\class.SWIFT_CronManager.php(140): 

SWIFT_Controller::Load(Object(SWIFT_Interface), Object(SWIFT_App), Object(SWIFT_Router))


#3 .\__swift\library\Cron\class.SWIFT_CronManager.php(172): SWIFT_CronManager->Run()


#4 .\__swift\models\Cron\class.SWIFT_Cron.php(400): 

SWIFT_CronManager::RunTask('SugarCRMAccount...')


#5 .\__swift\models\Cron\class.SWIFT_Cron.php(608): SWIFT_Cron->Execute()


#6 .\__swift\apps\base\admin\class.Controller_ScheduledTasks.php(232): SWIFT_Cron::ExecuteList(Array)


#7 [internal function]: Controller_ScheduledTasks::ExecuteList(Array)


#8 .\__swift\apps\base\library\UserInterface\class.SWIFT_UserInterfaceGridMassAction.php(399): 

call_user_func(Array, Array)


#9 .\__swift\apps\base\library\UserInterface\class.SWIFT_UserInterfaceGrid.php(962): 

SWIFT_UserInterfaceGridMassAction->CheckAndExecute()


#10 .\__swift\apps\base\admin\class.View_ScheduledTasks.php(141): 

SWIFT_UserInterfaceGrid->AddMassAction(Object(SWIFT_UserInterfaceGridMassAction))


#11 .\__swift\apps\base\admin\class.Controller_ScheduledTasks.php(262): 

View_ScheduledTasks->RenderGrid()


#12 [internal function]: Controller_ScheduledTasks->Manage()


#13 .\__swift\library\MVC\class.SWIFT_Controller.php(369): call_user_func_array(Array, Array)


#14 .\__swift\library\App\class.SWIFT_App.php(176): SWIFT_Controller::Load(Object(SWIFT_Interface), 

Object(SWIFT_App_base), Object(SWIFT_Router), false)


#15 .\__swift\library\class.SWIFT.php(16): SWIFT_App->ExecuteController(Object(SWIFT_Router))


#16 .\__swift\library\class.SWIFT.php(16): SWIFT->Initialize()


#17 .\__swift\swift.php(16): SWIFT::GetInstance()
#18 .\admin\index.php(29): require_once('C:\inetpub\Kaya...')


#19 {main}


History

03/26/2014 05:59 am - H Limbada

We have the same issue. Can not sync anything across from Sugar. nor does the tab work. Any idea when this will be fixed?

03/27/2014 07:55 am - Elmar Pigeaud

We've got the same issue. Fresh Sugar CE, fresh update of Kayako.

07/31/2014 02:11 am - Anjali Sharma

- Status changed from New to Resolved

- Assignee deleted (Mahesh Salaria)

Greetings,





Issue has been resolved in SugarCRM v1.5.





Supported Versions:


Kayako Helpdesk : 4.64 and above


SugarCRM : 6.5.16





Thanks and Regards,


Anjali Sharma

07/31/2014 11:24 am - Derek Greene

- File Screen_Shot_2014-07-31_at_12.15.57_PM.png added

- File Screen_Shot_2014-07-31_at_12.22.28_PM.png added

- File Screen_Shot_2014-07-31_at_12.22.59_PM.png added

Thank you - It appears to work - I have not been able to see SugarCRM data on the tab within Kayako yet - but do have Kayako data in SugarCRM. 





However, this has introduced another issue on the Organization Record Screen and on the User Record Screen.  See attached screenshots for 

details.

08/01/2014 01:37 am - Anjali Sharma

Greetings Derek,





Thanks for the update. We have cross-checked these issues on our end but did not get any one of them.





I would request you to please raise a ticket on my.kayako.com and share your details. We will proceed to diagnose the issue at your end.





Thanks and Regards,


Anjali Sharma
